当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : Ubntu 8.10 升级错误
帖子发表于 : 2009-04-01 15:40 

注册: 2008-12-27 20:16
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
在三月二十五日更新Ubuntu 8.10是出现以下错误,现在我基本是什么软件也不能按装,也不能删除
在新立得里去按装和删除也一样会出现同样的错误提示,哪有高手遇到过同样的问题?请指教如何才能解决,多谢呀。

在更新时出现的错误:

E: /var/cache/apt/archives/openjdk-6-jre-lib_6b12-0ubuntu6.4_all.deb: files list file for package `c' is missing final newline

在命令行下尝试去删除 xserver-xorg-input-vmmouse

kunpeng@kunpeng-laptop:~$ sudo apt-get remove xserver-xorg-input-vmmouse
[sudo] password for kunpeng:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
下列软件包将被【卸载】:
xserver-xorg-input-all xserver-xorg-input-vmmouse
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 2 个软件包,有 42 个软件未被升级。
解压缩后将会空出 152kB 的空间。
您希望继续执行吗?[Y/n]Y
(正在读取数据库 ... dpkg:处理 xserver-xorg-input-all (--remove)时出错:
files list file for package `xserver-xorg-input-vmmouse' is missing final newline
E: Sub-process /usr/bin/dpkg exited unexpectedly

我是Linux的新手,水平也就只限于知道这几个常用的命令了,请位高手指教.


页首
 用户资料  
 
2 楼 
 文章标题 : Re: Ubntu 8.10 升级错误
帖子发表于 : 2009-04-01 16:18 

注册: 2008-12-27 20:16
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
已经解决,刚刚在Google上查到dpkg的数据库是位于/var/lig/dpkg/status, 我在这个文件里找到了以 “Package: xserver-xorg-input-vmmouse" 开头的这句,把这个软件包的信息全部删除,然后就可以了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译